import { AfterViewInit, EventEmitter, OnChanges, OnInit, SimpleChanges } from "@angular/core";
import { NSBaseComponent } from "../ns-base";
import { INSEditorSetting } from "./interfaces";
import * as i0 from "@angular/core";
declare var NSEditor: any;
export interface INSEditorAngularSetting extends INSEditorSetting {
    setting?: INSEditorSetting;
    [propName: string]: any;
}
export declare class NSEditorAngular extends NSBaseComponent<typeof NSEditor> implements OnInit, OnChanges, AfterViewInit {
    setting: INSEditorAngularSetting;
    containerStyle: any;
    maximized: EventEmitter<any>;
    restored: EventEmitter<any>;
    constructor();
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    create(): void;
    toggleLineNumber(): void;
    setDisabled(isDisabled: boolean): void;
    getDisabled(): boolean;
    setText(text: string): void;
    getText(): string;
    setHtml(html: string): void;
    getHtml(): string;
    setStyle(styleProp: string, value: any): void;
    setFocus(isFocus: boolean): void;
    hasFocus(): boolean;
    setTheme(theme: string): void;
    changeProperty(propertyName: string, value: any): void;
    getNSEditor(): any;
    static ɵfac: i0.ɵɵFactoryDeclaration<NSEditorAngular, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NSEditorAngular, "ns-editor-angular", never, { "setting": { "alias": "setting"; "required": false; }; "containerStyle": { "alias": "containerStyle"; "required": false; }; }, { "maximized": "maximized"; "restored": "restored"; }, never, never, false, never>;
}
export {};
